- Qt 6.12
- Qt Qml
- C++ Classes
- QQmlFile
- Qt 6.12.0 Reference Documentation

# Obsolete Members for QQmlFile

The following members of class QQmlFile are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated in 6.11)` enum | Status { Null, Ready, Error, Loading }

## Public Functions

`(deprecated in 6.11)` void | clear()
`(deprecated in 6.11)` void | clear(QObject *object)
`(deprecated in 6.11)` bool | connectDownloadProgress(QObject *object, const char *method)
`(deprecated in 6.11)` bool | connectDownloadProgress(QObject *object, int method)
`(deprecated in 6.11)` bool | connectFinished(QObject *object, int method)
`(deprecated in 6.11)` const char * | data() const
`(deprecated in 6.11)` QByteArray | dataByteArray() const
`(deprecated in 6.11)` QString | error() const
`(deprecated in 6.11)` void | load(QQmlEngine *engine, const QString &url)
`(deprecated in 6.11)` void | load(QQmlEngine *engine, const QUrl &url)
`(deprecated in 6.11)` qint64 | size() const

## Member Type Documentation

### `[deprecated in 6.11]` enum QQmlFile::Status

This enum is deprecated since 6.11. We strongly advise against using it in new code.

Constant | Value
--- | ---
`QQmlFile::Null` | `0`
`QQmlFile::Ready` | `1`
`QQmlFile::Error` | `2`
`QQmlFile::Loading` | `3`

## Member Function Documentation

### `[deprecated in 6.11]` void QQmlFile::clear()

This function is deprecated since 6.11. We strongly advise against using it in new code.

### `[deprecated in 6.11]` void QQmlFile::clear(QObject *object)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Redirects to the other clear() overload, ignoring object.

### `[deprecated in 6.11]` bool QQmlFile::connectDownloadProgress(QObject *object, const char *method)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Connects method of object to the internal `downloadProgress` signal.

### `[deprecated in 6.11]` bool QQmlFile::connectDownloadProgress(QObject *object, int method)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Connects method of object to the internal `downloadProgress` signal.

### `[deprecated in 6.11]` bool QQmlFile::connectFinished(QObject *object, int method)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Connects method of object to the internal `finished` signal.

### `[deprecated in 6.11]` const char *QQmlFile::data() const

This function is deprecated since 6.11. We strongly advise against using it in new code.

### `[deprecated in 6.11]` QByteArray QQmlFile::dataByteArray() const

This function is deprecated since 6.11. We strongly advise against using it in new code.

### `[deprecated in 6.11]` QString QQmlFile::error() const

This function is deprecated since 6.11. We strongly advise against using it in new code.

### `[deprecated in 6.11]` void QQmlFile::load(QQmlEngine *engine, const QString &url)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Loads content at url using engine.

### `[deprecated in 6.11]` void QQmlFile::load(QQmlEngine *engine, const QUrl &url)

This function is deprecated since 6.11. We strongly advise against using it in new code.

Loads content at url using engine.

### `[deprecated in 6.11]` qint64 QQmlFile::size() const

This function is deprecated since 6.11. We strongly advise against using it in new code.